Wednesday, 19 March 2014

php complaining about dates

If you get this error

date(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier.

then just manually put the following code (With appropriate changes) into your code, just before any call to date() or anything related.

date_default_timezone_set('Africa/Johannesburg');

That fixes it.

php 7 nightmare

OK so Centos 6 insists on installing php 5.3 and even if you download other RPMs and install them, they do not replace the existing 5.3 whic...